Create contact
Adds a workspace contact outside a channel conversation, with contact details for later messaging. Use contacts.list to check for an existing contact and contacts.sendMessage after creating one.
curl --request POST \
--url https://app.chatbotx.io/api/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "",
"inboxId": "<string>",
"phoneNumber": "",
"contactId": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
'import requests
url = "https://app.chatbotx.io/api/v1/contacts"
payload = {
"email": "",
"inboxId": "<string>",
"phoneNumber": "",
"contactId": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '',
inboxId: '<string>',
phoneNumber: '',
contactId: '<string>',
firstName: '<string>',
lastName: '<string>'
})
};
fetch('https://app.chatbotx.io/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"emailVerified": true,
"emailOptIn": true,
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"gender": "male",
"lastReadAt": "2023-11-07T05:31:56Z",
"ref": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"location": "<string>",
"locale": "<string>",
"timezone": "<string>",
"subscribedAt": "2023-11-07T05:31:56Z",
"broadcastSubscribedAt": "2023-11-07T05:31:56Z",
"blockedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>",
"contactCustomFields": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"contactId": "<string>",
"customFieldId": "<string>"
}
],
"tags": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"folderId": "<string>",
"workspaceId": "<string>"
}
],
"contactNotes": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"text": "<string>",
"contactId": "<string>",
"createdById": "<string>"
}
],
"contactInboxes": [
{
"id": "<string>",
"contactId": "<string>",
"inboxId": "<string>",
"channel": "<string>",
"source": "<string>",
"sourceId": "<string>",
"language": "<string>",
"lastIncomingMessageAt": "2023-11-07T05:31:56Z",
"inbox": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"channel": "<string>",
"sourceId": "<string>",
"workspaceId": "<string>",
"status": "<string>",
"disconnectedAt": "2023-11-07T05:31:56Z",
"disconnectReason": "<string>"
},
"sourceUserId": "<string>",
"sourceUsername": "<string>",
"contactLastReadAt": "2023-11-07T05:31:56Z"
}
],
"conversation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"botEnabled": true,
"botResumeAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"additionalAttributes": "<string>",
"contactLastReadAt": "2023-11-07T05:31:56Z",
"agentLastReadAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"followed": true,
"workspaceId": "<string>",
"contactId": "<string>",
"sourceId": "<string>",
"lastStep": "<string>",
"currentStep": "<string>",
"adminRepliedAt": "2023-11-07T05:31:56Z",
"contactRepliedAt": "2023-11-07T05:31:56Z",
"aiContextLastMessageId": null,
"assignedUserId": null,
"assignedInboxTeamId": null,
"assignedUser": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"emailVerified": true,
"image": "<string>",
"isAnonymous": true,
"mustChangePassword": true,
"tenantId": "<unknown>"
},
"assignedInboxTeam": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>",
"name": "<string>"
},
"inbox": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"channel": "<string>",
"sourceId": "<string>",
"workspaceId": "<string>",
"status": "<string>",
"disconnectedAt": "2023-11-07T05:31:56Z",
"disconnectReason": "<string>"
}
}
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Contact's email address. Required when channel is smtp.
Contact's gender.
male, female, unknown Channel this contact is reachable on; determines which of phoneNumber/email/contactId is required.
omnichannel, webchat, messenger, whatsapp, zalo, smtp, telegram, instagram, threads, tiktok, api Inbox id (numeric string) to create the contact in. Get it from inboxes.list.
^\d+$Contact's phone number. Required when channel is whatsapp.
Channel-specific user id (e.g. Messenger PSID). Required for channels other than webchat/omnichannel.
255Contact's first name.
100Contact's last name.
100Response
OK
male, female, unknown Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
